Issue #301 on hold
Max Fuxjäger
created an issue

I tried to install virtualenvwrapper on a Mac OS machine in Python 3. On running the install command i got the following:

MyComputer:aFolder myUsername$ pip3 install virtualenvwrapper

Collecting virtualenvwrapper

Downloading virtualenvwrapper-4.7.2.tar.gz (90kB)

 100% |████████████████████████████████| 92kB 447kB/s

 Complete output from command python setup.py egg_info:

 Download error on https://pypi.python.org/simple/pbr/: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:748) -- Some packages may not be found!

 Couldn't find index page for 'pbr' (maybe misspelled?)

 Download error on https://pypi.python.org/simple/: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:748) -- Some packages may not be found!

 No local packages or working download links found for pbr

 Traceback (most recent call last):

   File "<string>", line 1, in <module>

   File "/private/var/folders/p2/rq0zs_zd58q5qfrm2x6b2cvm0000gn/T/pip-build-9zjbvd6k/virtualenvwrapper/setup.py", line 7, in <module>

     pbr=True,

   File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/distutils/core.py", line 108, in setup

     _setup_distribution = dist = klass(attrs)

   File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/setuptools/dist.py", line 315, in __init__

     self.fetch_build_eggs(attrs['setup_requires'])

   File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/setuptools/dist.py", line 361, in fetch_build_eggs

     replace_conflicting=True,

   File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/pkg_resources/__init__.py", line 850, in resolve

     dist = best[req.key] = env.best_match(req, ws, installer)

   File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/pkg_resources/__init__.py", line 1122, in best_match

     return self.obtain(req, installer)

   File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/pkg_resources/__init__.py", line 1134, in obtain

     return installer(requirement)

   File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/setuptools/dist.py", line 429, in fetch_build_egg

     return cmd.easy_install(req)

   File "/Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages/setuptools/command/easy_install.py", line 659, in easy_install

     raise DistutilsError(msg)

 distutils.errors.DistutilsError: Could not find suitable distribution for Requirement.parse('pbr')



 ----------------------------------------

Command "python setup.py egg_info" failed with error code 1 in /private/var/folders/p2/rq0zs_zd58q5qfrm2x6b2cvm0000gn/T/pip-build-9zjbvd6k/virtualenvwrapper/

I then ran the install for the problematic module pbr:

MyComputer:aFolder myUsername$ pip3 install pbr

Collecting pbr

Downloading pbr-3.1.1-py2.py3-none-any.whl (99kB)

100% |████████████████████████████████| 102kB 470kB/s

Installing collected packages: pbr

Successfully installed pbr-3.1.1

And after that again the install for virtualenvwrapper which worked:

MyComputer:aFolder myUsername$ pip3 install virtualenvwrapper

Collecting virtualenvwrapper

Using cached virtualenvwrapper-4.7.2.tar.gz

Requirement already satisfied: virtualenv in /Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages (from virtualenvwrapper)

Collecting virtualenv-clone (from virtualenvwrapper)

Downloading virtualenv-clone-0.2.6.tar.gz

Collecting stevedore (from virtualenvwrapper)

Downloading stevedore-1.25.0-py2.py3-none-any.whl

Requirement already satisfied: pbr!=2.1.0,>=2.0.0 in /Library/Frameworks/Python.framework/Versions/3.6/lib/python3.6/site-packages (from stevedore->virtualenvwrapper)

Collecting six>=1.9.0 (from stevedore->virtualenvwrapper)

Downloading six-1.10.0-py2.py3-none-any.whl

Installing collected packages: virtualenv-clone, six, stevedore, virtualenvwrapper

Running setup.py install for virtualenv-clone ... done

Running setup.py install for virtualenvwrapper ... done

Successfully installed six-1.10.0 stevedore-1.25.0 virtualenv-clone-0.2.6 virtualenvwrapper-4.7.2

Is there some wrong setting in the installation depencies of this module?

Comments (2)

  1. Log in to comment